ST_VERSION = "|cFF00FF00SimpleTarget v1.0.1|r";
local currentTAB = ""
local CurrentCommand = "on"

function InitSlashCommands()

	SLASH_ST1,  SLASH_ST2 = '/st', '/simpletarget';
	
	SlashCmdList["ST"] = function( msg )
		
		if ( msg ) then
		
			local command = string.lower( msg );
		
			if ( command == "pvp" ) then
			
				CurrentCommand = "off"
				SimpleTarget_SetPVP()
								
			elseif ( command == "pve" ) then			
				
				CurrentCommand = "off"
				SimpleTarget_SetPVE()
				
			elseif ( command == "reset" ) then			
						
				CurrentCommand = "on"
				currentTAB = ""
				SimpleTarget_CurrentCommand()
								
			else
			
				SimpleTarget_Help()
							
			end
		end	
	end
end

function SimpleTarget_Help()

	DEFAULT_CHAT_FRAME:AddMessage(ST_VERSION.." : Usage - /st |cFFFFFF00option|r");
	DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00options|r:");
	DEFAULT_CHAT_FRAME:AddMessage("  |cFFFFFF00pve|r  : Force TAB for PVE use");
	DEFAULT_CHAT_FRAME:AddMessage("  |cFFFFFF00pvp|r  : Force TAB for PVP use");
	DEFAULT_CHAT_FRAME:AddMessage("  |cFFFFFF00reset|r: SimpleTarget start again to change TAB's behaviour based on your current zone");
		
end

function SimpleTarget_CurrentCommand()

	if CurrentCommand == "on" then
		
		SimpleTarget_SetBindings()		
		
	elseif CurrentCommand == "off" then
		
		currentTAB = ""
		return
		
	end
end

function SimpleTarget_SetBindings()

	local name, type = GetInstanceInfo()
	local areaid = GetCurrentMapAreaID()
				
	if type == "pvp" or type == "arena" or areaid == 501 or areaid == 708 or areaid == 978 then -- or areaid == 465
		
		if currentTAB == "pvp" then return end
		
		SimpleTarget_SetPVP()
		
		currentTAB = "pvp"	
			
	else 
	
		if currentTAB == "pve" then return end		
		
		SimpleTarget_SetPVE()
		
		currentTAB = "pve"
		
	end
end

function SimpleTarget_SetPVP()
	
	if UnitAffectingCombat("player") then
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000In combat. Can't set keybindings")
        return
		
	else
	
		--if UseEquipmentSet("Pvp") then
		--	DEFAULT_CHAT_FRAME:AddMessage("Equipment set to Pvp")
		--end	
		
		SetBinding("TAB", "TARGETNEARESTENEMYPLAYER")
		SetBinding("SHIFT-TAB", "TARGETNEARESTENEMY")		
		
		DEFAULT_CHAT_FRAME:AddMessage("Tab is now set for PVP")
		
		if CurrentCommand == "off" then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00/st reset|r for start again to change TAB's behaviour based on your current zone");
		end
		
	end	
	
end			

function SimpleTarget_SetPVE()

	if UnitAffectingCombat("player") then
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000In combat. Can't set keybindings")
        return
		
	else
	
		SetBinding("TAB", "TARGETNEARESTENEMY")
		SetBinding("SHIFT-TAB", "TARGETNEARESTENEMYPLAYER")
		
		DEFAULT_CHAT_FRAME:AddMessage("Tab is now set for PVE")
				
		if CurrentCommand == "off" then
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFFFF00/st reset|r for start again to change TAB's behaviour based on your current zone");
		end
		
	end
end			

function SimpleTarget_OnLoad()

    SimpleTarget:RegisterEvent("ZONE_CHANGED_NEW_AREA")	
	SimpleTarget:RegisterEvent("ZONE_CHANGED")
	
	SimpleTarget_CurrentCommand()
				
end

function SimpleTarget_OnEvent()	
	
	SimpleTarget_CurrentCommand()
	
end

InitSlashCommands();


